curl --request DELETE \
--url https://api.egp.scale.com/v5/evaluations/{evaluation_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/evaluations/{evaluation_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"tags": [
"<string>"
],
"datasets": [
{
"id": "<string>",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"current_version_num": 123,
"object": "dataset",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"status": "failed",
"object": "evaluation",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"status_reason": "<string>",
"progress": {
"workflows": {
"total": 123,
"completed": 123,
"failed": 123,
"pending": 123
},
"items": {
"total": 123,
"successful": 123,
"failed": 123,
"pending": 123,
"failed_items": []
}
},
"tasks": [
{
"configuration": {
"model": "<string>",
"messages": [
{}
],
"top_k": 123,
"frequency_penalty": 123,
"function_call": {},
"functions": [
{}
],
"logit_bias": {},
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"metadata": {},
"modalities": [
"<string>"
],
"n": 123,
"parallel_tool_calls": true,
"prediction": {},
"presence_penalty": 123,
"reasoning_effort": "<string>",
"response_format": {},
"seed": 123,
"stop": "<string>",
"store": true,
"temperature": 123,
"tool_choice": "<string>",
"tools": [
{}
],
"top_logprobs": 123,
"top_p": 123,
"audio": {}
},
"task_type": "chat_completion",
"alias": "chat_completion"
}
],
"metadata": {},
"error_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Archive Evaluation
Archive (soft-delete) an evaluation.
Sets the evaluation’s archived timestamp rather than permanently deleting it, and cascades the archive to the evaluation’s items and dashboards while removing it from any evaluation groups. When two-plane evaluations are enabled the cascade only archives dashboards and removes group membership — the evaluation’s items are not archived. The evaluation can later be brought back with a restore request to the update endpoint.
Authorizations
Headers
Path Parameters
Response
Successful Response
The identity that created the entity.
Show child attributes
Show child attributes
The tags associated with the entity
Show child attributes
Show child attributes
failed, completed, running "evaluation"Reason for evaluation status
Progress of the evaluation's underlying async job
Show child attributes
Show child attributes
Tasks executed during evaluation. Populated with optional task view.
- ChatCompletionEvaluationTask
- GenericInferenceEvaluationTask
- ApplicationVariantV1EvaluationTask
- AgentexOutputEvaluationTask
- MetricEvaluationTask
- AutoEvaluationQuestionTask
- AutoEvaluationGuidedDecodingEvaluationTask
- AutoEvaluationAgentEvaluationTask
- ContributorEvaluationQuestionTask
- CustomFunctionEvaluationTask
Show child attributes
Show child attributes
Metadata key-value pairs for the evaluation
Number of task errors across all items in this evaluation.

